Bug 499219 - Fedora 11-Beta: xorg-x11-drv-intel won't work in HP550
Fedora 11-Beta: xorg-x11-drv-intel won't work in HP550
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 12:15 EDT by Dmitry A. Ustalov
Modified: 2009-05-12 05:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 03:42:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (7.66 KB, text/plain)
2009-05-05 12:15 EDT, Dmitry A. Ustalov
no flags Details
actual xorg.conf (2.65 KB, text/plain)
2009-05-05 12:16 EDT, Dmitry A. Ustalov
no flags Details

  None (edit)
Description Dmitry A. Ustalov 2009-05-05 12:15:29 EDT
Created attachment 342486 [details]
Xorg.0.log

Description of problem:
After installing the Fedora 11 Beta on my HP 550 laptop, X.org server won't work with integrated Intel videocard. Instead of starting X, I see the following message when using the "intel" display driver.

% grep -E -e '\((EE|WW)\)' Xorg.0.log
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Mouse0
(WW) Disabling Keyboard0
(WW) intel(0): No outputs definitely connected, trying again...
(WW) intel(0): Unable to find initial modes
(EE) intel(0): No modes.
(EE) Screen(s) found, but none have a usable configuration.

Version-Release number of selected component (if applicable): Fedora 11 Beta.
kernel 2.6.29.1-111.fc11
xorg-x11-server-Xorg 1.6.1-6.fc11
xorg-x11-drv-intel 2.7.0-2.fc11

How reproducible:
Just try to install Fedora 11 Beta to the HP 550. Anaconda able to work only with "vesa" driver, which used by me as workaround.

Steps to Reproduce:
1. Try to install Fedora 11.
  
Actual results:
X.org won't start.

Expected results:
X.org should start normally with "intel" driver and in resolution 1280x800.

Additional info: lspci related to subject:
00:02.0 VGA compatible controller: Intel Corporation Mobile GME965/GLE960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GME965/GLE960 Integrated Graphics Controller (rev 0c)

X.org log and conf files are included.
Comment 1 Dmitry A. Ustalov 2009-05-05 12:16:13 EDT
Created attachment 342487 [details]
actual xorg.conf
Comment 2 Dmitry A. Ustalov 2009-05-10 11:31:58 EDT
I've reinstalled Fedora and switched to x86_64 arch.

kernel 2.6.29.2-126.fc11
xorg-x11-server-Xorg 1.6.1-11.fc11
xorg-x11-drv-intel 2.7.0-4.fc11

...and bug still appears =(
Comment 3 Dmitry A. Ustalov 2009-05-12 03:42:08 EDT
People from X.org Bugzilla is not so boring and lazy, and they're fixed the bug: https://bugs.freedesktop.org/show_bug.cgi?id=21659

Note You need to log in before you can comment on or make changes to this bug.